## org.eclipse.emf.transaction
Class TransactionalEditingDomainEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.emf.transaction.TransactionalEditingDomainEvent

All Implemented Interfaces:
  Serializable

    public class TransactionalEditingDomainEvent

extends EventObject

An event object indicating a change in the state of a `TransactionalEditingDomain`, usually in some #getTransaction() life-cycle event.

Since:
  1.3
See Also:
  Serialized Form

Field Summary
`static int` `EDITING_DOMAIN_DISPOSING` Event type indicating the editing domain disposing.
`static int` `TRANSACTION_CLOSED` Event type indicating the transaction closed.
`static int` `TRANSACTION_CLOSING` Event type indicating the transaction closing.
`static int` `TRANSACTION_INTERRUPTED` Event type indicating the transaction interrupted.
`static int` `TRANSACTION_STARTED` Event type indicating the transaction started.
`static int` `TRANSACTION_STARTING` Event type indicating the transaction starting.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TransactionalEditingDomainEvent(TransactionalEditingDomain source, int type)` Initializes me with my source editing domain and my type.
`TransactionalEditingDomainEvent(TransactionalEditingDomain source, int type, Transaction transaction)` Initializes me with my source editing domain and a transaction that changed.

Method Summary
`int` `getEventType()` Queries the kind of transactional editing event that I signal to `TransactionalEditingDomainListener`s.
`TransactionalEditingDomain` `getSource()`
`Transaction` `getTransaction()` Queries the transaction for which the event signals a change, or `null` if the event pertains to the editing domain, itself.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRANSACTION_STARTING

    public static final int TRANSACTION_STARTING

  Event type indicating the transaction starting.

  See Also:
    Constant Field Values

### TRANSACTION_INTERRUPTED

    public static final int TRANSACTION_INTERRUPTED

  Event type indicating the transaction interrupted.

  See Also:
    Constant Field Values

### TRANSACTION_STARTED

    public static final int TRANSACTION_STARTED

  Event type indicating the transaction started.

  See Also:
    Constant Field Values

### TRANSACTION_CLOSING

    public static final int TRANSACTION_CLOSING

  Event type indicating the transaction closing.

  See Also:
    Constant Field Values

### TRANSACTION_CLOSED

    public static final int TRANSACTION_CLOSED

  Event type indicating the transaction closed.

  See Also:
    Constant Field Values

### EDITING_DOMAIN_DISPOSING

    public static final int EDITING_DOMAIN_DISPOSING

  Event type indicating the editing domain disposing.

  See Also:
    Constant Field Values

Constructor Detail

### TransactionalEditingDomainEvent

    public TransactionalEditingDomainEvent(TransactionalEditingDomain source,
                                           int type)

  Initializes me with my source editing domain and my type.

  Parameters:
    `source` - my source domain
    `type` - my type

### TransactionalEditingDomainEvent

    public TransactionalEditingDomainEvent(TransactionalEditingDomain source,
                                           int type,
                                           Transaction transaction)

  Initializes me with my source editing domain and a transaction that changed.

  Parameters:
    `source` - my source domain
    `type` - my type
    `transaction` - the transaction that changed

Method Detail

### getSource

    public TransactionalEditingDomain getSource()

  Overrides:
    `getSource` in class `EventObject`

### getEventType

    public int getEventType()

  Queries the kind of transactional editing event that I signal to `TransactionalEditingDomainListener`s. Each different event type corresponds to a call-back operation of that interface.

  Returns:
    my type

### getTransaction

    public Transaction getTransaction()

  Queries the transaction for which the event signals a change, or `null` if the event pertains to the editing domain, itself.

  Returns:
    the subject transaction, or `null`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.